Bug 523071

Summary: Feature requests: extra patches
Product: [Fedora] Fedora EPEL Reporter: Ingvar Hagelund <ingvar>
Component: amarokAssignee: Aurelien Bompard <gauret>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: el5CC: gauret, rdieter
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.4.10-7.20090624svn.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-01 18:27:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ingvar Hagelund 2009-09-13 21:36:56 UTC
Description of problem:
- Cover fetcher is broken
- Does not build on fedora 11


Version-Release number of selected component (if applicable):
amarok-1.4.10-4.el5

How reproducible:
Always

Steps to Reproduce:
1. Try to fetch covers from amazon
2. Try to rebuild on fedora 10 or 11
  
Actual results:
- Cover manager does not work
- Does not rebuild on fedora 10 nor 11

Additional info:
Patches are available. For fedora 10 and 11 support, se
http://users.linpro.no/ingvar/amarok/ , and the discussion at http://ingvar.blog.linpro.no/2009/06/11/amarok-14-for-fedora-11/

For working cover fetcher, see http://www.silvado.com/amarok , the discussion above, and http://forum.kde.org/viewtopic.php?f=117&t=76607

Comment 1 Ingvar Hagelund 2009-09-13 22:01:07 UTC
Note: That cover manager patch is backported code from current amarok 2.x gitrepo, and fetches cover art from last.fm, not amazon.

Ingvar

Comment 2 Rex Dieter 2009-11-09 19:11:03 UTC
* Mon Nov 09 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.4.10-6.20090624
- coverfetcher patch (#523071)

(and the EL-5 spec/patches in cvs is indeed buildable on F-10/F-11 as amarok1)

Comment 3 Fedora Update System 2009-11-09 19:27:50 UTC
amarok-1.4.10-6.20090624svn.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/amarok-1.4.10-6.20090624svn.el5

Comment 4 Fedora Update System 2009-11-10 03:21:10 UTC
amarok-1.4.10-7.20090624svn.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update amarok'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0813

Comment 5 Fedora Update System 2009-12-01 18:27:54 UTC
amarok-1.4.10-7.20090624svn.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.